#
# spec file for package python-isort
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-isort
Version:        4.2.15
Release:        1.27
Summary:        A Python utility / library to sort Python imports
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/timothycrosley/isort
# Tests are not included in pypi package
Source:         https://github.com/timothycrosley/isort/archive/%{version}.tar.gz
Patch0:         patch-shebang.patch
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
isort your python imports for you so you don’t have to.

isort is a Python utility / library to sort imports alphabetically,
and automatically separated into sections. It provides a command line
utility, Python library and plugins for various editors to quickly
sort all your imports. It currently cleanly supports Python 2.7 - 3.6 without
any dependencies.

%prep
%setup -q -n isort-%{version}
%patch0
chmod -x LICENSE

%build
%python_build

%install
%python_install

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%{python_sitelib}/*
%python3_only %{_bindir}/isort
%doc README.rst
%if 0%{?leap_version} >= 420200 || 0%{?suse_version} > 1320 
%license LICENSE
%else
%doc LICENSE
%endif

%changelog
* Wed Jun 21 2017 sebix+novell.com@sebix.at
- update description
- install LICENSE as %%license if possible
- update to 4.2.15
  * Fixed certain one line imports not being successfully wrapped
- update to 4.2.14
  * Fixed #559 & #565: Added missing standard library imports
- update to 4.2.13
  * Fixed #553: Check only and --diff now work together again
- update to 4.2.12
  * Fixed a problem with the wheel distribution
- update to 4.2.11
  * Fixed #546: Can't select y/n/c after latest update
  * Fixed #545: Incorrectly moves future imports above encoding comments
- update to 4.2.9
  * Fixed #428: Check only modifies sorting
  * Fixed #540: Not correctly identifying stdlib modules
- update to 4.2.8
  * Added --virtual-env switch command line option
  * Added --enforce-whitespace option to go along with --check-only for more exact checks (issue #423)
  * Fixed imports with a tailing '' and no space in-between getting removed (issue #425)
  * Fixed issue #299: long lines occasionally not wrapped
  * Fixed issue #432: No longer add import inside class when class starts at top of file after encoding comment
  * Fixed issue #440: Added missing --use-parentheses option to command line tool and documentation
  * Fixed issue #496: import* imports now get successfully identified and reformatted instead of deleted
  * Fixed issue #491: Non ending parentheses withing single line comments no longer cause formatting issues
  * Fixed issue #471: Imports that wrap the maximum line length and contain comments on the last line are no longer rendered incorrectly
  * Fixed issue #436: Force sort within section no longer rearranges comments
  * Fixed issue #473: Force_to_top and force_sort_within_sections now work together
  * Fixed issue #484 & #472: Consistent output with imports of same spelling but different case
  * Fixed issue #433: No longer incorrectly add an extra new-line when comment between imports and function definition
  * Fixed issue #419: Path specification for skipped paths is not Unix/Windows inter-operable.
  * Breaking Changes:
  * Fixed issue #511: All command line options with an underscore, have had the underscore replaced with a dash for consistency. This effects: multi-line, add-import, remove-import, force-adds, --force-single-line-imports, and length-sort.
  * Replaced the --enforce-whitespace option with --ignore-whitespace to restore original behavior of strict whitespace by default
* Fri Mar 24 2017 jmatejek@suse.com
- install LICENSE file
* Mon Mar  6 2017 jmatejek@suse.com
- update for singlespec
* Sat Oct  8 2016 sebix+novell.com@sebix.at
- use github URL to run tests after packaging
* Fri Aug  5 2016 sebix+novell.com@sebix.at
-  patch-shebang.patch: removed superfluous shebang for packaged file main
* Sat Jun 25 2016 arun@gmx.de
- initial version
